Loading...
Searching...
No Matches
seqan3::enumeration_printer< enum_t > Struct Template Reference
Argument Parser

A type (e.g. an enum) can be made debug streamable by customizing the seqan3::enumeration_names. More...

`#include <seqan3/argument_parser/auxiliary.hpp>`

Inheritance diagram for seqan3::enumeration_printer< enum_t >:
[legend]

## Public Member Functions

template<typename stream_t>
constexpr void | operator() (stream_t &stream, enum_t const arg) const
| Prints the associated label of the given enum value.

## Detailed Description

template<named_enumeration enum_t>
struct seqan3::enumeration_printer< enum_t >

A type (e.g. an enum) can be made debug streamable by customizing the seqan3::enumeration_names.

This searches the seqan3::enumeration_names of the respective type for the value `op` and prints the respective string if found or '<UNKNOWN_VALUE>' if the value cannot be found in the map.

Template Parameters

  enum_t | Type of the enum to be printed; must model seqan3::named_enumeration.

## Member Function Documentation

## operator()()

template<named_enumeration enum_t>
template<typename stream_t>

void seqan3::enumeration_printer< enum_t >::operator() | ( | stream_t & | stream,
|  | enum_t const | arg ) const

inline constexpr

Prints the associated label of the given enum value.

Template Parameters

  stream_t | The type of the stream.

Parameters

  [in,out] | stream | The output stream.
  [in] | arg | The enum value to print.

If for the given enumeration value no enumeration name can be found, "<UNKNOWN_VALUE>" is printed.

The documentation for this struct was generated from the following file:

- auxiliary.hpp

Hide me